<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Document</title>
    <style>
      #loading {
        display: none;
      }
    </style>
    <script src="node_modules/axios/dist/axios.min.js"></script>
  </head>
  <body>
    <center>
      <h1>Test POKEMON API</h1>
      <hr />
      <h2>AXIOS</h2>
      <div id="axios_m"></div>
      <h2>Fetch</h2>
      <div id="fetch_m"></div>
    </center>

    <script>
      a = {
        apiUrl: "https://blissful-mile-280405.ue.r.appspot.com/graphql",
        queries: {
          getPokemons: `{
            pokemons(page: 401,limit:2){
                pages
                hasNext
                hasPrev
                data{
                  name
                  description
                  image
                }
              }
            }`,
        },
      };

      axios
        .post(a.apiUrl, {
          query: a.queries.getPokemons,
        })
        .then((res) => {
          if (res.status == 200) {
            console.log(res.data.data.pokemons.data[0]);
            axios_m.innerHTML = res.data.data.pokemons.data[0].name;
          }
        })
        .catch((error) => {
          console.error(error);
        });

      fetch(a.apiUrl, {
        method: "POST",
        headers: { "Content-Type": "application/json" },
        body: JSON.stringify({
          query: `
          query {
            pokemons(page: 401,limit:2){
              pages
              hasNext
              hasPrev
              data{
                name
                description
                image
              }
            }
          }
        `,
        }),
      })
        .then((res) => res.json())
        .then((res) => {
          console.log(res.data.pokemons.data[0]);
          fetch_m.innerHTML = res.data.pokemons.data[0].name;
        })
        .catch((error) => {
          console.error(error);
        });
    </script>
  </body>
</html>
